# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/pwm/adi,axi-pwmgen.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Analog Devices AXI PWM generator

maintainers:
  - Michael Hennerich <Michael.Hennerich@analog.com>
  - Nuno Sá <nuno.sa@analog.com>

description:
  The Analog Devices AXI PWM generator can generate PWM signals
  with variable pulse width and period.

  https://analogdevicesinc.github.io/hdl/library/axi_pwm_gen/index.html

allOf:
  - $ref: pwm.yaml#

properties:
  compatible:
    const: adi,axi-pwmgen-2.00.a

  reg:
    maxItems: 1

  "#pwm-cells":
    const: 3

  clocks:
    minItems: 1
    maxItems: 2

  clock-names:
    minItems: 1
    items:
      - const: axi
      - const: ext

required:
  - reg
  - clocks
  - clock-names

unevaluatedProperties: false

examples:
  - |
    pwm@44b00000 {
        compatible = "adi,axi-pwmgen-2.00.a";
        reg = <0x44b00000 0x1000>;
        clocks = <&fpga_clk>, <&spi_clk>;
        clock-names = "axi", "ext";
        #pwm-cells = <3>;
    };
